Download it now!
Bug 65365 - FILEOPEN, FILESAVE: ODS,XLS,XLSX load time/freezing
Summary: FILEOPEN, FILESAVE: ODS,XLS,XLSX load time/freezing
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-04 16:59 UTC by Nick
Modified: 2013-07-02 14:41 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
test file (20.51 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-06-04 16:59 UTC, Nick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nick 2013-06-04 16:59:10 UTC
Created attachment 80299 [details]
test file

Had a 4MB file with quite a bit of data. No problems loading on Excel. LO appears to have major trouble loading and saving with cells that contain a lot of text.

After reducing the file down quite a bit 10x10 and 20kb, I still encounter loading/saving delays for this test file. Imagine loading a 4MB file...
Comment 1 bfoman (inactive) 2013-06-28 10:54:09 UTC
Checked with:
LO 4.2.0.0.alfa0
Build ID: 2013-06-24 own debug build 
Windows 7 Professional SP1 64 bit

Could not reproduce. Opens instantly.
Comment 2 Joel Madero 2013-06-28 18:01:35 UTC
Yeah only about 1 second for me to open this. Can you attach the original document?
Comment 3 Nick 2013-07-02 12:03:11 UTC
checked with LO 4.2.0.0.alfa0 and was able to open quickly; thanks. Marking resolved.
Comment 4 Joel Madero 2013-07-02 14:41:42 UTC
Should be WFM as we don't know what patch fixed it. Updating status